package com.qianhe.system.domain;

import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户对象 water_user
 *
 * @author qianhe
 * @date 2023-11-23
 */
public class WaterUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** 手机号 */
    @Excel(name = "手机号")
    private Long phoneNum;

    /** 站点名称 */
    @Excel(name = "站点名称")
    private String stationName;

    /** 用户类型 */
    @Excel(name = "用户类型")
    private String userType;

    /** 性别(1男0女) */
    @Excel(name = "性别(1男0女)")
    private Long userGender;

    /** 状态(0逻辑删除) */
    @Excel(name = "状态(0逻辑删除)")
    private Long status;

    /** 微信小程序open_id */
    @Excel(name = "微信小程序open_id")
    private String openId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setNickName(String nickName)
    {
        this.nickName = nickName;
    }

    public String getNickName()
    {
        return nickName;
    }
    public void setPhoneNum(Long phoneNum)
    {
        this.phoneNum = phoneNum;
    }

    public Long getPhoneNum()
    {
        return phoneNum;
    }
    public void setStationName(String stationName)
    {
        this.stationName = stationName;
    }

    public String getStationName()
    {
        return stationName;
    }
    public void setUserType(String userType)
    {
        this.userType = userType;
    }

    public String getUserType()
    {
        return userType;
    }
    public void setUserGender(Long userGender)
    {
        this.userGender = userGender;
    }

    public Long getUserGender()
    {
        return userGender;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setOpenId(String openId)
    {
        this.openId = openId;
    }

    public String getOpenId()
    {
        return openId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("nickName", getNickName())
            .append("phoneNum", getPhoneNum())
            .append("stationName", getStationName())
            .append("userType", getUserType())
            .append("userGender", getUserGender())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .append("openId", getOpenId())
            .toString();
    }
}
